com.trilead.ssh2.channel

## Class X11ServerData

- java.lang.Object
- - com.trilead.ssh2.channel.X11ServerData

    public class X11ServerData
    extends java.lang.Object

X11ServerData. Data regarding an x11 forwarding target.

### Field Summary

Fields
`java.lang.String` `hostname`
`int` `port`
`byte[]` `x11_magic_cookie`

### Constructor Summary

Constructors
Constructor and Description
`X11ServerData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hostname

    public java.lang.String hostname

#### port

    public int port

#### x11_magic_cookie

    public byte[] x11_magic_cookie

### Constructor Detail

#### X11ServerData

    public X11ServerData()